summaryrefslogtreecommitdiffstats
path: root/ci/test_kvmfornfv.sh
diff options
context:
space:
mode:
authorRajithaY <rajithax.yerrumsetty@intel.com>2017-07-26 03:39:35 -0700
committerRajitha Yerrumchetty <rajithax.yerrumsetty@intel.com>2017-08-08 18:43:28 +0000
commit868367c47df84a70a49f7be6b5e6c3150906aa8f (patch)
treea35fe7fa52bb409fde5cfc5fc67c686338253852 /ci/test_kvmfornfv.sh
parent4525b15e86b4c7e2d426988c4ec1a11132a9f51b (diff)
Add Livemigration testcase for KVMFORNFV
This patch includes the scripts which will create OVS dpdkvhost user ports and test live migration using qemu with ovs dpdk and provide the information of VM downtime,setuptime and totaltime once migration is completed. Signed-off-by:RajithaY<rajithax.yerrumsetty@intel.com> Change-Id: I17abf627102d88dffdb99972e5616a0ea5cb62b7
Diffstat (limited to 'ci/test_kvmfornfv.sh')
-rwxr-xr-xci/test_kvmfornfv.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/ci/test_kvmfornfv.sh b/ci/test_kvmfornfv.sh
index 6540b18ca..522d6a1a2 100755
--- a/ci/test_kvmfornfv.sh
+++ b/ci/test_kvmfornfv.sh
@@ -18,6 +18,7 @@ cyclictest_env_verify=("idle_idle" "memorystress_idle") #cyclictest environment
cyclictest_env_daily=("idle_idle" "cpustress_idle" "memorystress_idle" "iostress_idle")
cyclictest_result=0 #exit code of cyclictest
packetforward_result=0 #exit code of packet forward
+lm_env_verify=("peer-peer" "local")
source $WORKSPACE/ci/envs/host-config
#check if any kernel rpms available for testing
@@ -52,6 +53,25 @@ function packetForward {
exit 1
fi
}
+function liveMigration {
+ #executing live migration test case on the host machine
+ test_env=$1
+ echo "Test Environment ${test_env}"
+ if [ ${test_env} == "peer-peer" ];then
+ echo "live migration is not implemented for peer to peer"
+ livemigration_result=0
+ elif [ ${test_env} == "local" ];then
+ source $WORKSPACE/ci/cyclicTestTrigger.sh $HOST_IP
+ connect_host
+ #Waiting for ssh to be available for the host machine.
+ sleep 20
+ runLiveMigration ${test_env}
+ livemigration_result=$?
+ else
+ echo "Incorrect test environment for live migration"
+ exit 1
+ fi
+}
function getTestParams {
HOST_IP=$( setHostIP $test_type )
@@ -140,6 +160,11 @@ if [ ${test_type} == "verify" ];then
done
#Execution of packet forwarding test cases.
packetForward
+ for envi in ${lm_env_verify[@]}
+ do
+ echo "Executing Live Migration on the node"
+ liveMigration ${envi}
+ done
fi
if [ ${cyclictest_result} -ne 0 ] || [ ${packetforward_result} -ne 0 ];then
echo "Test case FAILED"
@@ -192,6 +217,21 @@ elif [ ${test_type} == "daily" ];then
echo "Cyclictest case executed SUCCESSFULLY"
test_exit 0
fi
+ elif [ ${test_name} == "livemigration" ];then
+ for envi in ${lm_env_verify[@]}
+ do
+ echo "Executing Live Migration on the node"
+ liveMigration ${envi}
+ done
+ sudo ssh root@${HOST_IP} "rm -rf /root/workspace/*"
+ host_clean
+ if [ ${livemigration_result} -ne 0 ] ; then
+ echo "livemigration test case execution FAILED"
+ test_exit 1
+ else
+ echo "livemigration test case executed SUCCESSFULLY"
+ test_exit 0
+ fi
fi
elif [ ${test_type} == "merge" ];then
echo "Test is not enabled for ${test_type}"